aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHeikki Halmet <heikki.halmet@qt.io>2022-10-31 11:45:00 +0000
committerQt Cherry-pick Bot <cherrypick_bot@qt-project.org>2023-01-13 02:49:26 +0000
commitfdcfc85397b8180907e77534da6282a368f0fe21 (patch)
treefbc517942bdb371a4e32dfe3157c21d734ef7151
parenta70a2788f3787b6c405ad68e4189653ea35174d1 (diff)
Provisioning: Add Docker for macOS
Needed by RTA tests Task-number: QTQAINFRA-5171 Change-Id: I26ac10421ba32d68ffdef523fd97f710cd6bcaab Reviewed-by: Samuli Piippo <samuli.piippo@qt.io> (cherry picked from commit e266a9e6040e07cace330ba43b0372e04f39e102) Reviewed-by: Qt Cherry-pick Bot <cherrypick_bot@qt-project.org>
-rwxr-xr-xcoin/provisioning/common/macos/docker.sh63
-rwxr-xr-xcoin/provisioning/qtci-macos-10.15-x86_64/90-docker.sh7
-rwxr-xr-xcoin/provisioning/qtci-macos-12-arm/90-docker.sh7
-rwxr-xr-xcoin/provisioning/qtci-macos-12-x86_64/90-docker.sh7
-rwxr-xr-xcoin/provisioning/qtci-macos-13-arm/90-docker.sh7
5 files changed, 91 insertions, 0 deletions
diff --git a/coin/provisioning/common/macos/docker.sh b/coin/provisioning/common/macos/docker.sh
new file mode 100755
index 00000000..2ca68dec
--- /dev/null
+++ b/coin/provisioning/common/macos/docker.sh
@@ -0,0 +1,63 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2022 The Qt Company Ltd.
+## Contact: https://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see https://www.qt.io/terms-conditions. For further
+## information use the contact form at https://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 3 as published by the Free Software
+## Foundation and appearing in the file LICENSE.LGPL3 included in the
+## packaging of this file. Please review the following information to
+## ensure the GNU Lesser General Public License version 3 requirements
+## will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
+##
+## GNU General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU
+## General Public License version 2.0 or (at your option) the GNU General
+## Public license version 3 or any later version approved by the KDE Free
+## Qt Foundation. The licenses are as published by the Free Software
+## Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
+## included in the packaging of this file. Please review the following
+## information to ensure the GNU General Public License requirements will
+## be met: https://www.gnu.org/licenses/gpl-2.0.html and
+## https://www.gnu.org/licenses/gpl-3.0.html.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# shellcheck source=./../unix/DownloadURL.sh
+source "${BASH_SOURCE%/*}/../unix/DownloadURL.sh"
+
+# This script will install Docker which is needed by RTA
+
+chip=$1
+
+if [[ $chip == "amd64" ]]; then
+ sha="158eae1d2f81cc8a0754d2ea3af8c6e6e555f69b"
+else
+ sha="6adf6cc8558af69296208b045187406a95b020bf"
+fi
+
+echo "Installing Docker for $chip chip"
+urlOccifical="https://desktop.docker.com/mac/main/${chip}/Docker.dmg?utm_source=docker"
+urlCache="http://ci-files01-hki.ci.qt.io/input/mac/Docker_${chip}.dmg"
+
+DownloadURL $urlCache $urlOccifical $sha "/tmp/Docker_${chip}.dmg"
+
+sudo hdiutil attach "/tmp/Docker_${chip}.dmg"
+sudo /Volumes/Docker/Docker.app/Contents/MacOS/install --accept-license --user qt
+sudo hdiutil detach /Volumes/Docker
diff --git a/coin/provisioning/qtci-macos-10.15-x86_64/90-docker.sh b/coin/provisioning/qtci-macos-10.15-x86_64/90-docker.sh
new file mode 100755
index 00000000..4fd7a6f3
--- /dev/null
+++ b/coin/provisioning/qtci-macos-10.15-x86_64/90-docker.sh
@@ -0,0 +1,7 @@
+#!/usr/bin/env bash
+
+set -ex
+
+# shellcheck source=../common/macos/docker.sh
+source "${BASH_SOURCE%/*}/../common/macos/docker.sh" "amd64"
+
diff --git a/coin/provisioning/qtci-macos-12-arm/90-docker.sh b/coin/provisioning/qtci-macos-12-arm/90-docker.sh
new file mode 100755
index 00000000..08e0330f
--- /dev/null
+++ b/coin/provisioning/qtci-macos-12-arm/90-docker.sh
@@ -0,0 +1,7 @@
+#!/usr/bin/env bash
+
+set -ex
+
+# shellcheck source=../common/macos/docker.sh
+source "${BASH_SOURCE%/*}/../common/macos/docker.sh" "arm64"
+
diff --git a/coin/provisioning/qtci-macos-12-x86_64/90-docker.sh b/coin/provisioning/qtci-macos-12-x86_64/90-docker.sh
new file mode 100755
index 00000000..4fd7a6f3
--- /dev/null
+++ b/coin/provisioning/qtci-macos-12-x86_64/90-docker.sh
@@ -0,0 +1,7 @@
+#!/usr/bin/env bash
+
+set -ex
+
+# shellcheck source=../common/macos/docker.sh
+source "${BASH_SOURCE%/*}/../common/macos/docker.sh" "amd64"
+
diff --git a/coin/provisioning/qtci-macos-13-arm/90-docker.sh b/coin/provisioning/qtci-macos-13-arm/90-docker.sh
new file mode 100755
index 00000000..08e0330f
--- /dev/null
+++ b/coin/provisioning/qtci-macos-13-arm/90-docker.sh
@@ -0,0 +1,7 @@
+#!/usr/bin/env bash
+
+set -ex
+
+# shellcheck source=../common/macos/docker.sh
+source "${BASH_SOURCE%/*}/../common/macos/docker.sh" "arm64"
+